﻿@using Microsoft.AspNetCore.Identity
@using CarRental.Core.Models

@inject SignInManager<Account> SignInManager
@inject UserManager<Account> UserManager
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Carbook</title>
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800&display=swap"
          rel="stylesheet">

    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css"
          integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg=="
          crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.css" />
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" />
    <link href="https://fonts.googleapis.com/css2?family=Poppins&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="~/assets/css/open-iconic-bootstrap.min.css">
    <link rel="stylesheet" href="~/assets/css/animate.css">
    <link rel="stylesheet" href="~/assets/css/owl.carousel.min.css">
    <link rel="stylesheet" href="~/assets/css/owl.theme.default.min.css">
    <link rel="stylesheet" href="~/assets/css/magnific-popup.css">
    <link rel="stylesheet" href="~/assets/css/aos.css">
    <link rel="stylesheet" href="~/assets/css/ionicons.min.css">
    <link rel="stylesheet" href="~/assets/css/bootstrap-datepicker.css">
    <link rel="stylesheet" href="~/assets/css/jquery.timepicker.css">
    <link rel="stylesheet" href="~/assets/css/flaticon.css">
    <link rel="stylesheet" href="~/assets/css/icomoon.css">
    <link rel="stylesheet" href="~/assets/css/style.css">
    <link rel="stylesheet" href="~/assets/css/step-wizard.css">
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark ftco_navbar bg-dark ftco-navbar-light"
         id="ftco-navbar">
        <div class="container">
            <a class="navbar-brand" asp-action="Index" asp-controller="Home">Car<span>Book</span></a>
            <button class="navbar-toggler" type="button"
                    data-toggle="collapse"
                    data-target="#ftco-nav" aria-controls="ftco-nav"
                    aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="oi oi-menu"></span> Menu
            </button>

            <div class="collapse navbar-collapse" id="ftco-nav">
                @if (SignInManager.IsSignedIn(User))
                {
                    @if (User.IsInRole(ListRoles.Customer))
                    {
                        <ul class="navbar-nav ml-auto">
                            <li class="nav-item">
                                <a class="nav-link" asp-area="Customer" asp-action="Index" asp-controller="Home">Home</a>
                            </li>
                        </ul>
                    }
                    else if (User.IsInRole(ListRoles.CarOwner))
                    {
                        <ul class="navbar-nav ml-auto">
                            <li class="nav-item">
                                <a class="nav-link" asp-area="CarOwner" asp-action="Index" asp-controller="Home">Home</a>
                            </li>
                        </ul>
                    }
                }
                else
                {
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item">
                            <a class="nav-link">Home</a>
                        </li>
                    </ul>
                }
                <partial name="_LoginPartial" />
            </div>
        </div>
    </nav>
    <!-- END nav -->

    <section class="hero-wrap hero-wrap-2 js-fullheight"
             style="background-image: url('/assets/images/bg_1.jpg');"
             data-stellar-background-ratio="0.5">
        <div class="overlay"></div>
        <div class="container">
            <div class="row no-gutters slider-text js-fullheight align-items-end justify-content-start">
            </div>
        </div>
    </section>

    @RenderBody()

    <footer class="ftco-footer ftco-bg-dark ftco-section">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md">
                    <div class="ftco-footer-widget mb-4">
                        <h2 class="ftco-heading-2"><a href="#" class="logo">Car<span>book</span></a></h2>
                        <p>
                            Far far away, behind the word mountains, far from
                            the countries
                            Vokalia and Consonantia, there live the blind
                            texts.
                        </p>
                        <ul class="ftco-footer-social list-unstyled float-md-left float-lft mt-5">
                            <li class="ftco-animate">
                                <a href="#">
                                    <span class="icon-twitter"></span>
                                </a>
                            </li>
                            <li class="ftco-animate">
                                <a href="#">
                                    <span class="icon-facebook"></span>
                                </a>
                            </li>
                            <li class="ftco-animate">
                                <a href="#">
                                    <span class="icon-instagram"></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-md">
                    <div class="ftco-footer-widget mb-4 ml-md-5">
                        <h2 class="ftco-heading-2">Information</h2>
                        <ul class="list-unstyled">
                            <li><a href="#" class="py-2 d-block">About</a></li>
                            <li><a href="#" class="py-2 d-block">Services</a></li>
                            <li>
                                <a href="#" class="py-2 d-block">
                                    Term and
                                    Conditions
                                </a>
                            </li>
                            <li>
                                <a href="#" class="py-2 d-block">
                                    Best Price
                                    Guarantee
                                </a>
                            </li>
                            <li>
                                <a href="#" class="py-2 d-block">
                                    Privacy
                                    &amp; Cookies Policy
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-md">
                    <div class="ftco-footer-widget mb-4">
                        <h2 class="ftco-heading-2">Customer Support</h2>
                        <ul class="list-unstyled">
                            <li><a href="#" class="py-2 d-block">FAQ</a></li>
                            <li>
                                <a href="#" class="py-2 d-block">
                                    Payment
                                    Option
                                </a>
                            </li>
                            <li>
                                <a href="#" class="py-2 d-block">
                                    Booking
                                    Tips
                                </a>
                            </li>
                            <li>
                                <a href="#" class="py-2 d-block">
                                    How it
                                    works
                                </a>
                            </li>
                            <li><a href="#" class="py-2 d-block">Contact Us</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md">
                    <div class="ftco-footer-widget mb-4">
                        <h2 class="ftco-heading-2">Have a Questions?</h2>
                        <div class="block-23 mb-3">
                            <ul>
                                <li>
                                    <span class="icon icon-map-marker"></span><span class="text">
                                        203
                                        Fake St. Mountain View, San
                                        Francisco, California, USA
                                    </span>
                                </li>
                                <li>
                                    <a href="#">
                                        <span class="icon icon-phone"></span><span class="text">
                                            +2
                                            392 3929 210
                                        </span>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <span class="icon icon-envelope"></span><span class="text">info@yourdomain.com</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 text-center">

                    <p>
                        <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                        Copyright &copy;<script>document.write(new Date().getFullYear());</script>
                        All rights reserved | This template is made with <i class="icon-heart color-danger"
                                                                            aria-hidden="true"></i> by <a href="https://colorlib.com" target="_blank">Colorlib</a>
                        <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                    </p>
                </div>
            </div>
        </div>
    </footer>

    <!-- loader -->
    <div id="ftco-loader" class="show fullscreen">
        <svg class="circular"
             width="48px" height="48px">
            <circle class="path-bg" cx="24"
                    cy="24" r="22"
                    fill="none" stroke-width="4" stroke="#eeeeee" />
            <circle class="path"
                    cx="24" cy="24" r="22" fill="none" stroke-width="4"
                    stroke-miterlimit="10"
                    stroke="#F96D00" />
        </svg>
    </div>

    <script src="~/assets/js/jquery.min.js"></script>
    <script src="~/assets/js/jquery-migrate-3.0.1.min.js"></script>
    <script src="~/assets/js/popper.min.js"></script>
    <script src="~/assets/js/bootstrap.min.js"></script>
    <script src="~/assets/js/jquery.easing.1.3.js"></script>
    <script src="~/assets/js/jquery.waypoints.min.js"></script>
    <script src="~/assets/js/jquery.stellar.min.js"></script>
    <script src="~/assets/js/owl.carousel.min.js"></script>
    <script src="~/assets/js/jquery.magnific-popup.min.js"></script>
    <script src="~/assets/js/aos.js"></script>
    <script src="~/assets/js/jquery.animateNumber.min.js"></script>
    <script src="~/assets/js/bootstrap-datepicker.js"></script>
    <script src="~/assets/js/jquery.timepicker.min.js"></script>
    <script src="~/assets/js/scrollax.min.js"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBVWaKrjvy3MaE7SQ74_uJiULgl1JY0H2s&sensor=false"></script>
    <script src="~/assets/js/google-map.js"></script>
    <script src="~/assets/js/main.js"></script>
    <script src="~/assets/js/list-grid-view.js"></script>
    <script src="~/assets/js/multi-step.js"></script>
    <script src="~/assets/js/toggle-driver-info.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    @await Component.InvokeAsync("NToastNotify")
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>
